{block name='blog-index'}
    {block name='blog-index-include-header'}
        {include file='layout/header.tpl'}
    {/block}
    {block name='blog-index-content'}
        {if JTL\Shop::$AktuelleSeite === 'NEWSDETAIL'}
            {block name='blog-index-include-details'}
                {include file='blog/details.tpl'}
            {/block}
        {else}
            {block name='blog-index-overview'}
                {if isset($Link) && $Link->getID() > 0 && $Link->getLinkType() === $smarty.const.LINKTYP_NEWS}
                    {* Moved outside of blog/overview.tpl to allow widgets between heading and cms content *}
                    <div class="container{if isset($Link) && $Link->getIsFluid() === true}-fluid{/if} et-blog-title-heading">
                        {block name='blog-overview-heading'}
                            {opcMountPoint id='opc_before_heading'}
                            <h1 class="et-blog-title">{lang key='news' section='news'}</h1>
                        {/block}
                    </div>

                    {* Load CMS Area Grid for News/Blog Posts, cms_content.tpl includes the blog/overview.tpl *}
                    {et_renderGrid id="cms_{$Link->getID()}" fallbackId="cms_main"}
                {else}
                    <div class="container{if isset($Link) && $Link->getIsFluid() === true}-fluid{/if}">
                        {include file="blog/overview.tpl"}
                    </div>
                {/if}
            {/block}
        {/if}
    {/block}

    {block name='blog-index-include-footer'}
        {include file='layout/footer.tpl'}
    {/block}
{/block}
