{block name='boxes-box-news-categories'}
    <div class="box box-newscategories box-normal" id="sidebox{$oBox->getID()}">
        {block name='boxes-box-news-categories-content'}
            {block name='boxes-box-news-categories-toggle-title'}
                <a id="crd-hdr-{$oBox->getID()}"
                    href="#crd-cllps-{$oBox->getID()}"
                    data-toggle="collapse"
                    role="button"
                    aria-expanded="false"
                    aria-controls="crd-cllps-{$oBox->getID()}"
                    class="box-normal-link dropdown-toggle"
                >
                    {lang key='newsBoxCatOverview'}
                </a>
            {/block}
            {block name='boxes-box-news-categories-title'}
                <div class="productlist-filter-headline d-none d-md-flex">
                    {lang key='newsBoxCatOverview'}
                </div>
            {/block}
            {block name='boxes-box-news-categories-collapse'}
                <div
                    class="collapse d-md-block"
                    id="crd-cllps-{$oBox->getID()}"
                    aria-labelledby="crd-hdr-{$oBox->getID()}"
                >
                    <ul class="nav flex-column box-nav-item">
                        {foreach $oBox->getItems() as $newsCategory}
                            <li class="nav-item">
                                <a href="{$newsCategory->cURLFull}" title="{$newsCategory->cName}" class="nav-link box-link-wrapper">
                                    {$newsCategory->cName}
                                    <span class="badge badge-outline-secondary">{$newsCategory->nAnzahlNews}</span>
                                </a>
                            </li>
                        {/foreach}
                    </ul>
                </div>
            {/block}
        {/block}
    </div>
    {block name='boxes-box-news-categories-hr-end'}
        <hr class="box-normal-hr">
    {/block}
{/block}
