{block name='layout-index'}
    {if isset($nFullscreenTemplate) && $nFullscreenTemplate == 1}
        {block name='layout-index-plugin-template'}
            {include file=$cPluginTemplate}
        {/block}
    {else}
        {block name='layout-index-include-header'}
            {if !isset($bAjaxRequest) || !$bAjaxRequest}
                {include file='layout/header.tpl'}
            {else}
                {include file='layout/modal_header.tpl'}
            {/if}
        {/block}
        {block name='layout-index-content'}
            {block name='layout-index-heading'}
                {if !empty($Link->getTitle())}
                    {opcMountPoint id='opc_before_heading' inContainer=false}
                    <div class="container{if isset($Link) && $Link->getIsFluid() === true}-fluid{/if} index-heading-wrapper">
                        <h1>{$Link->getTitle()}</h1>
                    </div>
                {elseif isset($bAjaxRequest) && $bAjaxRequest}
                    {opcMountPoint id='opc_before_heading' inContainer=false}
                    <div class="container{if isset($Link) && $Link->getIsFluid() === true}-fluid{/if} index-heading-wrapper">
                        <h1>{if !empty($Link->getMetaTitle())}{$Link->getMetaTitle()}{else}{$Link->getName()}{/if}</h1>
                    </div>
                {/if}
            {/block}
            {block name='layout-index-include-extension'}
                {include file='snippets/extension.tpl'}
            {/block}

            {if $Link->getLinkType() === $smarty.const.LINKTYP_STARTSEITE}
                {block name='layout-index-include-index'}
                    {include file='page/index.tpl'}
                {/block}
            {else}
                {et_renderGrid id="cms_{$Link->getID()}" fallbackId="cms_main"}
            {/if}
        {/block}

        {block name='layout-index-include-footer'}
            {if !isset($bAjaxRequest) || !$bAjaxRequest}
                {include file='layout/footer.tpl'}
            {else}
                {include file='layout/modal_footer.tpl'}
            {/if}
        {/block}
    {/if}
{/block}