{block name='newsletter-index'}
    {block name='newsletter-index-include-header'}
        {include file='layout/header.tpl'}
    {/block}
    {if isset($Link) && $Link->getID() > 0 && $Link->getLinkType() === $smarty.const.LINKTYP_NEWSLETTER}
        {* Render the title separately *}
        {block name='newsletter-index-heading'}
            {if !empty($Link->getTitle())}
                {opcMountPoint id='opc_before_newsletter_heading' inContainer=false}
                <div class="container{if isset($Link) && $Link->getIsFluid() === true}-fluid{/if}">
                    <h1>{$Link->getTitle()}</h1>
                </div>
            {/if}
        {/block}
        {* Actual content will come in from the cms_content.tpl, if we are not a real cms link or embedded in checkout, we render the normal content *}
        {et_renderGrid id="cms_{$Link->getID()}" fallbackId="cms_main"}
    {else}
        {include file='newsletter/index_content.tpl'}
    {/if}

    {block name='newsletter-index-include-footer'}
        {include file='layout/footer.tpl'}
    {/block}
{/block}
