{* nur anzeigen, wenn >1 Warenlager aktiv und Artikel ist auf Lager/im Zulauf/Ueberverkaeufe erlaubt/beachtet kein Lager *}
{block name='productdetails-warehouse'}
    {assign var=anzeige value=$Einstellungen.artikeldetails.artikel_lagerbestandsanzeige}
    {if $anzeige !== 'nichts'
        && isset($Artikel->oWarenlager_arr)
        && $Artikel->oWarenlager_arr|@count > 1
        && ($Artikel->cLagerBeachten !== 'Y'
            || $Artikel->cLagerKleinerNull === 'Y'
            || $Artikel->fLagerbestand > 0
            || $Artikel->fZulauf > 0)}
        {block name='productdetails-warehouse-detail-link'}
            <div class="no-gutters product-stock-info row">
                <div class="col">
                    <button type="button" class="btn btn-link product-stock-info-button" data-toggle="modal" data-target="#warehouseAvailability">
                        <span class="{et_getIcon key="warehouse"} status-icon"></span><span class="status-text">{lang key='warehouseAvailability'}</span>
                    </button>
                </div>
            </div>
        {/block}
        {block name='productdetails-warehouse-modal'}
            <div class="modal fade" tabindex="-1" id="warehouseAvailability" role="dialog">
                <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">{lang key='warehouseAvailability'}</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true"><i class="{et_getIcon key="close"}"></i></span>
                            </button>
                        </div>
                        <div class="modal-body">
                            {block name='productdetails-warehouse-modal-content'}
                                {block name='productdetails-warehouse-modal-content-header'}
                                    {row class="warehouse-row"}
                                        {col}
                                            <strong>{lang key='warehouse'}</strong>
                                        {/col}
                                        {col class="warehouse-right"}
                                            <strong>{lang key='status'}</strong>
                                        {/col}
                                    {/row}
                                    <hr>
                                {/block}
                                {block name='productdetails-warehouse-modal-content-items'}
                                    {foreach $Artikel->oWarenlager_arr as $oWarenlager}
                                        {row class="warehouse-row"}
                                            {col}
                                                <strong>{$oWarenlager->getName()}</strong>
                                            {/col}
                                            {col class="warehouse-right"}
                                                <span class="signal_image">
                                                    {if $anzeige !== 'nichts'
                                                    && $oWarenlager->getBackorderString($Artikel) !== ''
                                                    && ($Artikel->cLagerKleinerNull === 'N'
                                                        || $Einstellungen.artikeldetails.artikeldetails_lieferantenbestand_anzeigen === 'U')}
                                                        <span class="status-1">{$oWarenlager->getBackorderString($Artikel)}</span>
                                                    {elseif $Einstellungen.artikeldetails.artikeldetails_lieferantenbestand_anzeigen !== 'N'
                                                        && $Artikel->cLagerBeachten === 'Y'
                                                        && $Artikel->fLagerbestand <= 0
                                                        && $Artikel->fLieferantenlagerbestand > 0
                                                        && $Artikel->fLieferzeit > 0
                                                        && ($Artikel->cLagerKleinerNull === 'N'
                                                            && $Einstellungen.artikeldetails.artikeldetails_lieferantenbestand_anzeigen === 'I'
                                                            || $Artikel->cLagerKleinerNull === 'Y'
                                                            && $Einstellungen.artikeldetails.artikeldetails_lieferantenbestand_anzeigen === 'U')}
                                                        <span class="status-1">{lang key='supplierStockNotice' printf=$Artikel->fLieferzeit}</span>
                                                    {elseif $anzeige === 'verfuegbarkeit' || $anzeige === 'genau'}
                                                        <span class="status-{$oWarenlager->oLageranzeige->nStatus}">{$oWarenlager->oLageranzeige->cLagerhinweis[$anzeige]}</span>
                                                    {elseif $anzeige === 'ampel'}
                                                        <span class="status-{$oWarenlager->oLageranzeige->nStatus}">{$oWarenlager->oLageranzeige->AmpelText}</span>
                                                    {/if}
                                                </span>
                                            {/col}
                                        {/row}
                                        <hr>
                                    {/foreach}
                                {/block}
                            {/block}
                        </div>
                    </div>
                </div>
            </div>
        {/block}
    {/if}
{/block}
