{block name='register-form-customer-login'}
    {block name='register-form-customer-login-email'}
        {formgroup label="{lang key='email' section='account data'}" label-for="login_email"}
            <input type="text"
                name="email"
                id="login_email"
                class="form-control"
                placeholder=" "
                required
                autocomplete="email"
                value=""
            />
        {/formgroup}
    {/block}
    {block name='register-form-customer-login-password'}
        {formgroup label="{lang key='password' section='account data'}" label-for="login_password"}
            <input type="password"
                name="passwort"
                id="login_password"
                class="form-control"
                placeholder=" "
                required
                autocomplete="current-password"
                value=""
            />
        {/formgroup}
    {/block}
    {if isset($showLoginCaptcha) && $showLoginCaptcha}
        {block name='register-form-customer-login-captcha'}
            <div class="form-group simple-captcha-wrapper">
                {captchaMarkup getBody=true}
            </div>
        {/block}
    {/if}

    {block name='register-form-customer-login-submit'}
        {formgroup label-for=" " class="customer-login-buttons"}
            <input type="hidden" name="login" value="1" />
            <input type="hidden" name="wk" value="{if isset($one_step_wk)}{$one_step_wk}{else}0{/if}" />
            {if !empty($oRedirect->cURL)}
                {foreach $oRedirect->oParameter_arr as $oParameter}
                    <input type="hidden" name="{$oParameter->Name}" value="{$oParameter->Wert}"/>
                {/foreach}
                <input type="hidden" name="r" value="{$oRedirect->nRedirect}" />
                <input type="hidden" name="cURL" value="{$oRedirect->cURL}" />
            {/if}
            <div class="form-row">
                <div class="col col-12 col-lg-6">
                    {block name='register-form-customer-submit'}
                        {include file="widgets/base/button.tpl" type="submit" variant="primary" classes="btn-block" label="{lang key='login' section='checkout'}"}
                    {/block}
                </div>
                <div class="col col-12 col-lg-6">
                    {block name='register-form-customer-forgot'}
                        <a class="btn btn-link customer-login-buttons-forgot" href="{get_static_route id='pass.php'}">
                            {lang key='forgotPassword'}
                        </a>
                    {/block}
                </div>
            </div>
        {/formgroup}
    {/block}
{/block}
