{block name='snippets-language-dropdown'}
    {if isset($smarty.session.Sprachen) && $smarty.session.Sprachen|@count > 1}
        <div class="nav-item dropdown language-dropdown">
            <a class="nav-link nav-link-custom dropdown-toggle et-dropdown-toggle" href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" role="button">
                {foreach $smarty.session.Sprachen as $language}
                    {if $language->getId() == $smarty.session.kSprache}
                        {block name='snippets-language-dropdown-text'}
                            {$language->getIso639()|upper}
                        {/block}
                    {/if}
                {/foreach}
                <i class='{et_getIcon key="dropdownOpen"} et-dropdown-open'></i><i class='{et_getIcon key="dropdownClosed"} et-dropdown-closed'></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right">
                {foreach $smarty.session.Sprachen as $language}
                    {block name='snippets-language-dropdown-item'}
                        <a class="dropdown-item link-lang{if $language->getId() == $smarty.session.kSprache} active{/if}" href="{$language->getUrl()}" rel="nofollow" data-iso="{$language->getIso()}">
                            {$language->getIso639()|upper}
                        </a>
                    {/block}
                {/foreach}
            </div>
        </div>
    {/if}
{/block}
