{extends file="widgets/base/widget.tpl"}

{strip}
    {block name="et-widget-inline-styles"}
        {if $et_ImageList.customColorsEnabled}
            <style type="text/css">
                {if $et_ImageList.customColorsEnabled}
                     #{$et_BaseWidget.cssId}.bg-fullsize,
                     #{$et_BaseWidget.cssId}.bg-boxed .container {
                        {if !empty($et_ImageList.colorBackground)} background-color: {$et_ImageList.colorBackground};{/if}
                        {if !empty($et_ImageList.colorFont)} color: {$et_ImageList.colorFont};{/if}
                     }
                {/if}
            </style>
        {/if}
    {/block}
    {block name="et-widget-container-inner"}
        {include file="widgets/base/textfield.tpl" value=$et_ImageList.headline type="h2" asRow=true classes="et-widget-headline"}
        <div class="et-image-list-wrapper et-align-horizontal-{$et_ImageList.alignmentHorizontal} row">
            {foreach from=$et_ImageList.imageLinks item='imageLink'}
                <div class="col et-image-list-item" id="et-image-list-item-{$et_BaseWidget.id}-{$imageLink.id}">
                    {if isset($imageLink.link, $imageLink.link.href) && $imageLink.link.href !== ''}<a href="{$imageLink.link.href}" title="{$imageLink.link.title}"{if $imageLink.link.external} class="et-image-list-item-link" rel="noreferrer noopener" target="_blank"{/if}>{/if}
                        {image fluid=true lazy=true
                                                src=$imageLink.image.src
                                                alt=$imageLink.image.alt|escape
                                                class="et-image-list-item-image"
                                            }
                    {if isset($imageLink.link, $imageLink.link.href) && $imageLink.link.href !== ''}</a>{/if}
                </div>
            {/foreach}
        </div>
    {/block}
{/strip}