{if isset($et_MenuCategory.mainCategory)}
    <div class="et-menu-item et-menu-category col-12" id="et-menu-mobile-item-{$et_BaseWidget.id}" tabindex="0">
        <a class="et-menu-item-link no-style" title="{$et_MenuCategory.mainCategory->getName()|strip_tags|escape:'html'}"{if !empty($et_MenuCategory.image.src)} style="background-image: url('{$et_MenuCategory.image.src}');"{/if}>
            <div class="et-menu-item-title">
                {assign var="titleIcon" value="{if !empty($et_MenuCategory.icon)}<i class=\"{$et_MenuCategory.icon}\"></i>{/if}"}
                {if empty($et_MenuCategory.label.value)}
                    {$titleIcon}<span>{$et_MenuCategory.mainCategory->getName()}</span>
                {else}
                    {$titleIcon}{include file="widgets/base/textfield.tpl" value=$et_MenuCategory.label type="span"}
                {/if}
            </div>
            {if isset($et_MenuCategory.mainCategory) && $et_MenuCategory.showMainCategoryImage && $et_MenuCategory.mainCategory->hasImage() && $et_MenuCategory.mainCategory->getImage() !== null && $et_MenuCategory.mainCategory->getImage() !== $imageBaseURL|cat:$smarty.const.BILD_KEIN_KATEGORIEBILD_VORHANDEN}
                <div class="et-menu-item-image">
                    {image fluid=true lazy=true webp=true center=false
                    src="{$et_MenuCategory.mainCategory->getImage(\JTL\Media\Image::SIZE_LG)}"
                    srcset="{$et_MenuCategory.mainCategory->getImage(\JTL\Media\Image::SIZE_XS)} {$Einstellungen.bilder.bilder_kategorien_mini_breite}w,
                                                {$et_MenuCategory.mainCategory->getImage(\JTL\Media\Image::SIZE_SM)} {$Einstellungen.bilder.bilder_kategorien_klein_breite}w,
                                                {$et_MenuCategory.mainCategory->getImage(\JTL\Media\Image::SIZE_MD)} {$Einstellungen.bilder.bilder_kategorien_breite}w,
                                                {$et_MenuCategory.mainCategory->getImage(\JTL\Media\Image::SIZE_LG)} {$Einstellungen.bilder.bilder_kategorien_gross_breite}w"
                    alt=$et_MenuCategory.mainCategory->getDescription()|strip_tags|truncate:50|strip_tags|escape:'html'
                    sizes="auto"
                    }
                </div>
            {/if}
        </a>
        <div class="et-menu-item-content et-menu-category-mobile-content d-none">
            <div class="row">
                <div class="col">
                    <div class="et-menu-item-content-show-all">
                        <a href="{$et_MenuCategory.mainCategory->getURL()}" title="{$et_MenuCategory.mainCategory->getName()|strip_tags|escape:'html'}">{lang key='menuShow' printf=$et_MenuCategory.mainCategory->getName()}</a>
                    </div>
                    {if $et_MenuCategory.showMainCategoryTitle || $et_MenuCategory.showMainCategoryDescription || $et_MenuCategory.showMainCategoryImage}
                        <div class="et-menu-category-main">
                            {if $et_MenuCategory.showMainCategoryImage && $et_MenuCategory.mainCategory->hasImage() && $et_MenuCategory.mainCategory->getImage() !== null && $et_MenuCategory.mainCategory->getImage() !== $imageBaseURL|cat:$smarty.const.BILD_KEIN_KATEGORIEBILD_VORHANDEN}
                                <div class="et-menu-category-main-image">
                                        <a class="no-style" href="{$et_MenuCategory.mainCategory->getURL()}" title="{$et_MenuCategory.mainCategory->getName()|strip_tags|escape:'html'}">
                                            {image fluid=true lazy=true webp=true center=false
                                            src="{$et_MenuCategory.mainCategory->getImage(\JTL\Media\Image::SIZE_LG)}"
                                            srcset="{$et_MenuCategory.mainCategory->getImage(\JTL\Media\Image::SIZE_XS)} {$Einstellungen.bilder.bilder_kategorien_mini_breite}w,
                                                {$et_MenuCategory.mainCategory->getImage(\JTL\Media\Image::SIZE_SM)} {$Einstellungen.bilder.bilder_kategorien_klein_breite}w,
                                                {$et_MenuCategory.mainCategory->getImage(\JTL\Media\Image::SIZE_MD)} {$Einstellungen.bilder.bilder_kategorien_breite}w,
                                                {$et_MenuCategory.mainCategory->getImage(\JTL\Media\Image::SIZE_LG)} {$Einstellungen.bilder.bilder_kategorien_gross_breite}w"
                                            alt=$et_MenuCategory.mainCategory->getDescription()|strip_tags|truncate:50|strip_tags|escape:'html'
                                            sizes="auto"
                                            }
                                        </a>
                                </div>
                            {/if}
                            {if $et_MenuCategory.showMainCategoryTitle || $et_MenuCategory.showMainCategoryDescription}
                                <div class="et-menu-category-main-text">
                                    {if $et_MenuCategory.showMainCategoryTitle}
                                        <h3 class="et-menu-category-main-title">
                                            <a class="link-discreet" href="{$et_MenuCategory.mainCategory->getURL()}" title="{$et_MenuCategory.mainCategory->getName()|strip_tags|escape:'html'}">{$et_MenuCategory.mainCategory->getName()}</a>
                                        </h3>
                                    {/if}
                                    {if $et_MenuCategory.showMainCategoryDescription}
                                        <div class="et-menu-category-main-description">
                                            {$et_MenuCategory.mainCategory->getDescription()}
                                        </div>
                                    {/if}
                                </div>
                            {/if}
                        </div>
                    {/if}
                    {if count($et_MenuCategory.subCategories) > 0}
                        <div class="et-menu-category-subcategories row">
                            {foreach from=$et_MenuCategory.subCategories item='subCategory'}
                                <div class="col-12 col-sm-6 et-menu-category-subcategory">
                                    <h4 class="et-menu-category-subcategory-title">
                                        <a href="{$subCategory->getURL()}" class="link-discreet" title="{$subCategory->getName()|strip_tags|escape:'html'}">{$subCategory->getName()}</a>
                                    </h4>
                                    {if $et_MenuCategory.showSubCategoryImage && $subCategory->getImage() !== null && $subCategory->getImage() !== $imageBaseURL|cat:$smarty.const.BILD_KEIN_KATEGORIEBILD_VORHANDEN}
                                        <div class="et-menu-category-subcategory-image">
                                            <a href="{$subCategory->getURL()}" class="no-style" title="{$subCategory->getName()|strip_tags|escape:'html'}">
                                                {image fluid=true lazy=true webp=true center=false
                                                src="{$subCategory->getImage(\JTL\Media\Image::SIZE_LG)}"
                                                srcset="{$subCategory->getImage(\JTL\Media\Image::SIZE_XS)} {$Einstellungen.bilder.bilder_kategorien_mini_breite}w,
                                                    {$subCategory->getImage(\JTL\Media\Image::SIZE_SM)} {$Einstellungen.bilder.bilder_kategorien_klein_breite}w,
                                                    {$subCategory->getImage(\JTL\Media\Image::SIZE_MD)} {$Einstellungen.bilder.bilder_kategorien_breite}w,
                                                    {$subCategory->getImage(\JTL\Media\Image::SIZE_LG)} {$Einstellungen.bilder.bilder_kategorien_gross_breite}w"
                                                alt=$subCategory->getDescription()|strip_tags|truncate:50|strip_tags|escape:'html'
                                                sizes="auto"
                                                }
                                            </a>
                                        </div>
                                    {/if}
                                    {if $et_MenuCategory.showSubCategoryDescription}
                                        <div class="et-menu-category-subcategory-description">
                                            {$subCategory->getDescription()}
                                        </div>
                                    {/if}
                                    {if $subCategory->hasChildren() && $et_MenuCategory.maxSubSubCategories > 0}
                                        <div class="et-menu-category-subcategory-children">
                                            {foreach from=$subCategory->getChildren() item='subSubCategory' name='subsubcategory'}
                                                {if $smarty.foreach.subsubcategory.index < $et_MenuCategory.maxSubSubCategories}
                                                    <div class="et-menu-category-subcategory-child">
                                                        <a href="{$subSubCategory->getURL()}" class="link-discreet" title="{$subSubCategory->getName()|strip_tags|escape:'html'}">{$subSubCategory->getName()}</a>
                                                    </div>
                                                {/if}
                                            {/foreach}
                                        </div>
                                    {/if}
                                </div>
                            {/foreach}
                        </div>
                    {/if}
                </div>
            </div>
        </div>
    </div>
{/if}