{if $Einstellungen.global.global_sichtbarkeit != 3 || \JTL\Session\Frontend::getCustomer()->getID() > 0}
    <div class="et-menu-item et-menu-category-tree col-auto{if $et_MenuCategoryTree.alignRight} et-menu-item-align-right{/if}" id="et-menu-main-item-{$et_BaseWidget.id}" data-menu-size="{$et_MenuCategoryTree.size}" data-menu-navigate="false" aria-expanded="false" tabindex="0"{if !empty($et_MenuCategoryTree.image.src)} style="background-image: url('{$et_MenuCategoryTree.image.src}');"{/if}>
        <a class="et-menu-item-link no-style">
            <div class="et-menu-item-title">
                {assign var="titleIcon" value="{if !empty($et_MenuCategoryTree.icon)}<i class=\"{$et_MenuCategoryTree.icon}\"></i>{/if}"}
                {if empty($et_MenuCategoryTree.label.value)}
                    {$titleIcon}<span>{lang key="categories" section="global"}</span>
                {else}
                    {$titleIcon}{include file="widgets/base/textfield.tpl" value=$et_MenuCategoryTree.label type="span"}
                {/if}
            </div>
        </a>
        <div class="et-menu-item-content et-menu-category-tree-main-content d-none">
            <div class="row">
                {get_category_array categoryId=0 assign='categories'}
                {if !empty($categories)}
                    {* $category->isOrphaned does not exist before 5.0.2 *}
                    {et_isShopVersionAtLeast value="5.0.2" assign='shopIsAtLeast502'}
                    {foreach $categories as $category}
                        {if !$shopIsAtLeast502 || $category->isOrphaned() === false}
                            <div class="col et-menu-category-tree-category et-menu-category-tree-root-category">
                                <a class="link-discreet" href="{$category->getURL()}" title="{$category->getName()}">{$category->getShortName()}</a>
                                {if $category->hasChildren()}
                                    <div class="row subcategory-wrapper subcategory-level-1">
                                        {if $category->hasChildren()}
                                            {if !empty($category->getChildren())}{assign var=sub_categories value=$category->getChildren()}{else}{get_category_array categoryId=$category->getID() assign='sub_categories'}{/if}
                                            {foreach $sub_categories as $subCategory}
                                                <div class="col-12 et-menu-category-tree-category et-menu-category-tree-sub-category">
                                                    <a class="link-discreet" href="{$subCategory->getURL()}" title="{$subCategory->getName()}">{$subCategory->getShortName()}</a>
                                                    {if $subCategory->hasChildren()}
                                                        <div class="row subcategory-wrapper subcategory-level-2">
                                                            {if $subCategory->hasChildren()}
                                                                {if !empty($subCategory->getChildren())}{assign var=sub_sub_categories value=$subCategory->getChildren()}{else}{get_category_array categoryId=$subCategory->getID() assign='sub_sub_categories'}{/if}
                                                                {foreach $sub_sub_categories as $subSubCategory}
                                                                    <div class="col-12 et-menu-category-tree-category et-menu-category-tree-sub-category">
                                                                        <a class="link-discreet" href="{$subSubCategory->getURL()}" title="{$subSubCategory->getName()}">{$subSubCategory->getShortName()}</a>
                                                                    </div>
                                                                {/foreach}
                                                            {/if}
                                                        </div>
                                                    {/if}
                                                </div>
                                            {/foreach}
                                        {/if}
                                    </div>
                                {/if}
                            </div>
                        {/if}
                    {/foreach}
                {/if}
            </div>
        </div>
    </div>
{/if}