<div class="et-menu-item et-menu-columns col-auto{if $et_MenuColumns.alignRight} et-menu-item-align-right{/if}" id="et-menu-main-item-{$et_BaseWidget.id}" data-menu-size="{$et_MenuColumns.size}" data-menu-navigate="{if isset($et_MenuColumns.link) && $et_MenuColumns.link.href !== ''}true{else}false{/if}" aria-expanded="false" tabindex="0"{if !empty($et_MenuColumns.image.src)} style="background-image: url('{$et_MenuColumns.image.src}');"{/if}>
    <a class="et-menu-item-link no-style"
            {if isset($et_MenuColumns.link) && $et_MenuColumns.link.href !== ''} href="{$et_MenuColumns.link.href}"{/if}
            {if isset($et_MenuColumns.link) && $et_MenuColumns.link.title !== ''} title="{$et_MenuColumns.link.title}"{/if}
            {if isset($et_MenuColumns.link) && $et_MenuColumns.link.external} target="_blank" rel="noreferrer noopener"{/if}>
        <div class="et-menu-item-title">
            {if !empty($et_MenuColumns.icon)}<i class="{$et_MenuColumns.icon}"></i>{/if}{include file="widgets/base/textfield.tpl" value=$et_MenuColumns.label type="span"}
        </div>
    </a>
    <div class="et-menu-item-content et-menu-columns-main-content d-none">
        {if isset($et_MenuColumns.columns)}
            {$columnsCount = count($et_MenuColumns.columns)}
            {else}
            {$columnsCount = 0}
        {/if}
        <div class="row row-cols-{$et_MenuColumns.columnsPerRow.xs|min:$columnsCount} row-cols-sm-{$et_MenuColumns.columnsPerRow.sm|min:$columnsCount} row-cols-md-{$et_MenuColumns.columnsPerRow.md|min:$columnsCount} row-cols-lg-{$et_MenuColumns.columnsPerRow.lg|min:$columnsCount} row-cols-xl-{$et_MenuColumns.columnsPerRow.xl|min:$columnsCount}">
            {foreach from=$et_MenuColumns.columns item='column' name='columns'}
                <div class="col">
                    {if !empty($column.link.href)}
                        <a class="link-discreet" href="{$column.link.href}"{if !empty($column.link.title)} title="{$column.link.title}"{/if}{if $column.link.external} target="_blank" rel="noreferrer noopener"{/if}>
                    {/if}
                        {include file='widgets/base/textfield.tpl' value=$column.headline type="h3"}
                    {if !empty($column.link.href)}
                        </a>
                    {/if}
                    {foreach from=$column.items item='item'}
                        <div class="et-menu-columns-main-item et-menu-columns-main-item-type-{$item.displayType} {if $item.showAsHeadline} et-menu-columns-main-item-headline{/if}">
                            {if !empty($item.link.href)}
                                <a class="link-discreet" href="{$item.link.href}"{if !empty($item.link.title)} title="{$item.link.title}"{/if}{if $item.link.external} target="_blank" rel="noreferrer noopener"{/if}>
                            {/if}
                            {if $item.displayType === 'iconText' || $item.displayType === 'text'}
                                {if $item.showAsHeadline}
                                    {include file='widgets/base/textfield.tpl' value=$item.text type='h4' prepend="{if $item.icon !== '' && $item.displayType === 'iconText'}<i class=\"{$item.icon}\"></i>{/if}"}
                                {else}
                                    {include file='widgets/base/textfield.tpl' value=$item.text type='div' prepend="{if $item.icon !== '' && $item.displayType === 'iconText'}<i class=\"{$item.icon}\"></i>{/if}"}
                                {/if}
                            {elseif $item.displayType === 'imageText'}
                                {if !empty($item.image.src)}
                                    {image fluid=true lazy=true
                                        src=$item.image.src
                                        alt=$item.image.alt|escape
                                        class="et-menu-columns-main-item-image"
                                    }
                                {/if}
                                {if $item.showAsHeadline}
                                    {include file='widgets/base/textfield.tpl' value=$item.text type='h4'}
                                {else}
                                    {include file='widgets/base/textfield.tpl' value=$item.text type='div'}
                                {/if}
                            {elseif $item.displayType === 'image'}
                                {if !empty($item.image.src)}
                                    {image fluid=true lazy=true
                                        src=$item.image.src
                                        alt=$item.image.alt|escape
                                        class="et-menu-columns-main-item-image"
                                    }
                                {/if}
                            {/if}
                            {if !empty($item.link.href)}
                                </a>
                            {/if}
                        </div>
                    {/foreach}
                </div>
            {/foreach}
        </div>
    </div>
</div>