{block name='snippets-currency-dropdown'}
    {if isset($smarty.session.Waehrungen) && $smarty.session.Waehrungen|@count > 1}
        <div class="nav-item dropdown currency-dropdown">
            <a class="nav-link nav-link-custom dropdown-toggle et-dropdown-toggle" href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" role="button">
                {$smarty.session.Waehrung->getName()}
                <i class='{et_getIcon key="dropdownOpen"} et-dropdown-open'></i><i class='{et_getIcon key="dropdownClosed"} et-dropdown-closed'></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right">
                {foreach $smarty.session.Waehrungen as $currency}
                    {block name='snippets-currency-dropdown-item'}
                        <a class="dropdown-item link-currency{if $smarty.session.Waehrung->getName() === $currency->getName()} active{/if}" href="{$currency->getURLFull()}" rel="nofollow" data-iso="{$currency->getCode()}">
                            {$currency->getName()}
                        </a>
                    {/block}
                {/foreach}
            </div>
        </div>
    {/if}
{/block}