{block name='snippets-filter-search'}
    {$limit = $limit|default:-1}
    {$collapseInit = false}

    {foreach $NaviFilter->searchFilterCompat->getOptions() as $searchFilter}
        {if $limit != -1 && $searchFilter@iteration > $limit && !$collapseInit}
            {block name='snippets-filter-search-more-top'}
                <div class="collapse {if $NaviFilter->searchFilterCompat->isActive()} show{/if}" id="box-collps-filter{$NaviFilter->searchFilterCompat->getNiceName()}" aria-expanded="false" role="button">
                    <ul class="nav flex-column">
                {$collapseInit = true}
            {/block}
        {/if}
        {block name='snippets-filter-search-navitem'}
            <a rel="nofollow"
                href="{$searchFilter->getURL()}"
                class="nav-link filter-item {if $searchFilter->isActive()}active{/if}"
            >
                    <div class="box-link-wrapper">
                        <i class="{if $searchFilter->isActive()}{et_getIcon key="filterActive"}{else}{et_getIcon key="filterInactive"}{/if} snippets-filter-item-icon-right"></i>
                        <span class="et-filter-option-name">{$searchFilter->getName()}</span>
                        {badge variant="outline-secondary"}{$searchFilter->getCount()}{/badge}
                    </div>
            </a>
        {/block}
    {/foreach}
    {if $limit != -1 && $NaviFilter->searchFilterCompat->getOptions()|count > $limit}
        {block name='snippets-filter-search-more-bottom'}
                </ul>
            </div>
            <div class="snippets-filter-show-all">
                <button class="btn btn-link"
                    role="button"
                    data-toggle="collapse"
                    data-target="#box-collps-filter{$NaviFilter->searchFilterCompat->getNiceName()}"
                >
                    {lang key='showAll'}
                </button>
            </div>
        {/block}
    {/if}
{/block}
