{extends file="widgets/base/widget.tpl"}

{strip}
    {block name="et-widget-container-inner"}
        <div class="row et-productdetail-information-wrapper et-layout-{$et_ProductDetailInformation.displayMode}">
            <div class="col">
                {* Bundles and Sets *}
                {if isset($Einstellungen.artikeldetails.artikeldetails_stueckliste_anzeigen) && $Einstellungen.artikeldetails.artikeldetails_stueckliste_anzeigen === 'Y' && isset($Artikel->oStueckliste_arr) && $Artikel->oStueckliste_arr|@count > 0
                    || isset($Einstellungen.artikeldetails.artikeldetails_produktbundle_nutzen) && $Einstellungen.artikeldetails.artikeldetails_produktbundle_nutzen === 'Y' && isset($Artikel->oProduktBundle_arr) && $Artikel->oProduktBundle_arr|@count > 0
                }
                    {block name='productdetails-details-include-bundles-and-sets'}
                        {if isset($Einstellungen.artikeldetails.artikeldetails_stueckliste_anzeigen) && $Einstellungen.artikeldetails.artikeldetails_stueckliste_anzeigen === 'Y' && isset($Artikel->oStueckliste_arr) && $Artikel->oStueckliste_arr|@count > 0}
                            {block name='productdetails-details-include-product-slider-partslist'}
                                <div class="partslist">
                                    {lang key='listOfItems' section='global' assign='slidertitle'}
                                    {include file='snippets/product_slider.tpl' id='slider-partslist' productlist=$Artikel->oStueckliste_arr title=$slidertitle showPartsList=true}
                                </div>
                            {/block}
                        {/if}

                        {if isset($Einstellungen.artikeldetails.artikeldetails_produktbundle_nutzen) && $Einstellungen.artikeldetails.artikeldetails_produktbundle_nutzen === 'Y' && isset($Artikel->oProduktBundle_arr) && $Artikel->oProduktBundle_arr|@count > 0}
                            {block name='productdetails-details-include-bundle'}
                                <div class="bundle">
                                    {include file='productdetails/bundle.tpl' ProductKey=$Artikel->kArtikel Products=$Artikel->oProduktBundle_arr ProduktBundle=$Artikel->oProduktBundlePrice ProductMain=$Artikel->oProduktBundleMain}
                                </div>
                            {/block}
                        {/if}
                    {/block}
                {/if}

                {* Tabs *}
                {if $et_ProductDetailInformation.displayMode == 'tabs'}
                    {block name='productdetails-details-include-tabs'}
                        {* {include file="widgets/snippets/product_detail_information_tabs.tpl"} *}
                        {include file='productdetails/tabs.tpl' displayOrder=$et_ProductDetailInformation.displayOrder}
                    {/block}
                {* List *}
                {elseif $et_ProductDetailInformation.displayMode == 'list'}
                    {block name='productdetails-details-include-list'}
                        {include file="widgets/snippets/product_detail_information_list.tpl" displayOrder=$et_ProductDetailInformation.displayOrder}
                    {/block}
                {/if}


                    {if isset($Xselling->Standard->XSellGruppen) && count($Xselling->Standard->XSellGruppen) > 0
                    || isset($Xselling->Kauf->Artikel) && count($Xselling->Kauf->Artikel) > 0
                    || isset($oAehnlicheArtikel_arr) && count($oAehnlicheArtikel_arr) > 0}
                        {block name='productdetails-details-include-sliders'}
                            {* Cross Selling and Related Products DEFAULT SLIDERS - These will usually be replaced with Product Slider widgets via plugin backend, but you can enable them here by extending this block if you want to. --
                                {if isset($Xselling->Standard) || isset($Xselling->Kauf) || isset($oAehnlicheArtikel_arr)}
                                    <div class="recommendations d-print-none">
                                        {block name='productdetails-details-recommendations'}
                                            {if isset($Xselling->Standard->XSellGruppen) && count($Xselling->Standard->XSellGruppen) > 0}
                                                {foreach $Xselling->Standard->XSellGruppen as $Gruppe}
                                                    {include file='snippets/product_slider.tpl' class='x-supplies' id='slider-xsell-group-'|cat:$Gruppe@iteration productlist=$Gruppe->Artikel title=$Gruppe->Name}
                                                {/foreach}
                                            {/if}

                                            {if isset($Xselling->Kauf->Artikel) && count($Xselling->Kauf->Artikel) > 0}
                                                {lang key='customerWhoBoughtXBoughtAlsoY' section='productDetails' assign='slidertitle'}
                                                {include file='snippets/product_slider.tpl' class='x-sell' id='slider-xsell' productlist=$Xselling->Kauf->Artikel title=$slidertitle}
                                            {/if}

                                            {if isset($oAehnlicheArtikel_arr) && count($oAehnlicheArtikel_arr) > 0}
                                                {lang key='RelatedProducts' section='productDetails' assign='slidertitle'}
                                                {include file='snippets/product_slider.tpl' class='x-related' id='slider-related' productlist=$oAehnlicheArtikel_arr title=$slidertitle}
                                            {/if}
                                        {/block}
                                    </div>
                                {/if}
                            *}
                        {/block}
                    {/if}
                {block name='productdetails-details-include-popups'}
                    <div id="article_popups">
                        {include file='productdetails/popups.tpl'}
                    </div>
                {/block}
            </div>
        </div>
    {/block}
{/strip}